## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond check 1
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

# https://github.com/golang/tools
%global goipath         golang.org/x/tools
%global goipathsex      golang.org/x/tools/gopls
%global forgeurl        https://github.com/golang/tools
Epoch:                  1
# This package should be split per go.mod
Version:                0.29.0

%gometa -L

%global common_description %{expand:
This package holds the source for various tools that support the Go programming
language.

Some of the tools, godoc and vet for example, are included in binary Go
distributions.

Others, including the Go guru and the test coverage tool, can be fetched with go
get.

Packages include a type-checker for Go and an implementation of the Static
Single Assignment form (SSA) representation for Go programs.}

%global golicenses      LICENSE PATENTS
%global godocs          CONTRIBUTING.md README.md

%global auth_commands authtest cookieauth gitauth netrcauth
%global commands benchcmp bisect bundle callgraph compilebench digraph eg file2fuzz fiximports go-contrib-init godex godoc goimports gomvpkg gonew gotype goyacc html2article present present2md splitdwarf ssadump stress stringer toolstash
%global signature_fuzzer fuzz-driver fuzz-runner

Name:           %{goname}
Release:        %autorelease
Summary:        Various packages and tools that support the Go programming language

# Upstream license specification: BSD-3-Clause
# Automatically converted from old format: BSD - review is highly recommended.
License:        LicenseRef-Callaway-BSD
URL:            %{gourl}
Source0:        %{gosource}
# This test imports "all of tools", but we delete gopls in order to build it
# as a separate package. Thus this test can't work correctly, so remove it.
Patch:          0001-Don-t-try-to-import-all-of-tools.patch
# We can't use these tests since we run with GO111MODULE=off
Patch:          0002-Skip-tests-that-require-module-mode.patch

BuildRequires:  golang-tests

%description
%{common_description}

%if %{without bootstrap}
%package -n golang-godoc
Summary:        Documentation tool for the Go programming language
Epoch:          1
Obsoletes:      golang-godoc = 1.1.2

%description -n golang-godoc
Godoc extracts and generates documentation for Go programs.

%package -n golang-gotype
Summary:        Go programming language source code analysis tool

%description -n golang-gotype
The gotype command, like the front-end of a Go compiler, parses and type-checks
a single Go package. Errors are reported if the analysis fails; otherwise
gotype is quiet (unless -v is set).

%package -n golang-html2article
Summary:        Tool for creating articles from HTML files

%description -n golang-html2article
This program takes an HTML file and outputs a corresponding article file
in present format. See: golang.org/x/tools/present

%package        auth
Summary:        Tools implementing the GOAUTH protocol

%description    auth
%{summary}.

%package        bisect
Summary:        Tool to find changes responsible for causing a failure

%description    bisect
%{summary}.

%package        callgraph
Summary:        Tool for reporting the call graph of a Go program

%description    callgraph
%{summary}.

%package        compilebench
Summary:        Benchmarks the speed of the Go compiler

%description    compilebench
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/compilebench for more information.

%package        digraph
Summary:        Tool for queries over unlabelled directed graphs in text form

%description    digraph
The digraph command performs queries over unlabelled directed graphs
represented in text form.

%package        stringer
Summary:        Tool to automate creating methods satisfying the fmt.Stringer interface

%description    stringer
Stringer is a tool to automate the creation of methods that satisfy the
fmt.Stringer interface.

%package        godex
Summary:        Tool to dump exported information for Go packages or objects

%description    godex
The godex command prints (dumps) exported information of packages or selected
package objects.

See https://pkg.go.dev/golang.org/x/tools/cmd/godex for more information.

%package        benchcmp
Summary:        Displays performance changes between benchmarks for the Go programming language

%description    benchcmp
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/benchcmp for more information.

%package        bundle
Summary:        Creates a single-source-file version of a source package

%description    bundle
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/bundle for more information.

%package        eg
Summary:        Example-based refactoring for the Go programming language

%description    eg
%{summary}.

See `eg -help` for more information.

%package        file2fuzz
Summary:        Convert binary files to the Go fuzzing corpus format

%description    file2fuzz
%{summary}.

%package        fiximports
Summary:        Fixes import declarations to use the canonical import path

%description    fiximports
%{summary}.

%package        go-contrib-init
Summary:        Helps new Go contributors get their development environment set up

%description    go-contrib-init
The go-contrib-init command helps new Go contributors get their development
environment set up for the Go contribution process.

It aims to be a complement or alternative to
https://golang.org/doc/contribute.html.

%package        goimports
Summary:        Go programming language import line formatter

%description    goimports
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/goimports for more information.

%package        gomvpkg
Summary:        Tool to move Go packages, updating import declarations

%description    gomvpkg
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/gomvpkg for more information.

%package        gonew
Summary:        Tool to start a new Go module by copying a template module

%description    gonew
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/gonew for more information.

%package        present
Summary:        Display slide presentations and articles

%description    present
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/present for more information.

%package        present2md
Summary:        Tool to convert legacy-syntax present files to Markdown-syntax present files

%description    present2md
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/present2md for more information.

%package        splitdwarf
Summary:        Uncompress and copy the DWARF segment of a Mach-O executable into the "dSYM" file

%description    splitdwarf
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/splitdwarf for more information.

%package        ssadump
Summary:        Tool for displaying and interpreting the SSA form of Go programs

%description    ssadump
%{summary}.

%package        stress
Summary:        Tool for catching sporadic failures

%description    stress
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/stress for more information.

%package        toolstash
Summary:        Provides a way to save, run, and restore a known good copy of the Go toolchain

%description    toolstash
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/toolstash for more information.

%package        signature-fuzzer
Summary:        Utilities for fuzz testing of Go function signatures

%description    signature-fuzzer
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/signature-fuzzer for more information.

%package        goyacc
Summary:        Goyacc is a version of yacc for Go

%description    goyacc
%{summary}.

See https://pkg.go.dev/golang.org/x/tools/cmd/goyacc for more information.
%endif

%gopkg

%prep
%goprep
%autopatch -p1
rm -rf gopls
find . -type f -name "*.go" -exec sed -i "s|mvdan.cc/xurls/v2|mvdan.cc/xurls|" "{}" +;

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
for cmd in %auth_commands; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/cmd/auth/$cmd
done
for cmd in %signature_fuzzer; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/cmd/signature-fuzzer/$cmd
done
for cmd in %commands; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/cmd/$cmd
done
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

# Fix conflict with rubygem-bundler
mv %{buildroot}%{_bindir}/bundle %{buildroot}%{_bindir}/gobundle
%endif

%if %{without bootstrap}
%if %{with check}
%check
%gocheck -t cmd -d imports -t internal/lsp -d go/pointer -d internal/imports -t gopls -d internal/packagesdriver -t go/packages -d go/analysis/unitchecker -d go/ssa -t internal/refactor
%endif
%endif

%if %{without bootstrap}
%files -n golang-godoc
%doc %{godocs}
%license %{golicenses}
%{_bindir}/godoc

%files -n golang-gotype
%doc %{godocs}
%license %{golicenses}
%{_bindir}/gotype

%files -n golang-html2article
%doc %{godocs}
%license %{golicenses}
%{_bindir}/html2article

%files    godex
%doc %{godocs}
%license %{golicenses}
%{_bindir}/godex

%files    auth
%doc %{godocs}
%license %{golicenses}
%{_bindir}/authtest
%{_bindir}/cookieauth
%{_bindir}/gitauth
%{_bindir}/netrcauth

%files    bisect
%doc %{godocs}
%license %{golicenses}
%{_bindir}/bisect

%files    callgraph
%doc %{godocs}
%license %{golicenses}
%{_bindir}/callgraph

%files    compilebench
%doc %{godocs}
%license %{golicenses}
%{_bindir}/compilebench

%files    digraph
%doc %{godocs}
%license %{golicenses}
%{_bindir}/digraph

%files    stringer
%doc %{godocs}
%license %{golicenses}
%{_bindir}/stringer

%files    eg
%doc %{godocs}
%license %{golicenses}
%{_bindir}/eg

%files    file2fuzz
%doc %{godocs}
%license %{golicenses}
%{_bindir}/file2fuzz

%files    fiximports
%doc %{godocs}
%license %{golicenses}
%{_bindir}/fiximports

%files    go-contrib-init
%doc %{godocs}
%license %{golicenses}
%{_bindir}/go-contrib-init

%files    benchcmp
%doc %{godocs}
%license %{golicenses}
%{_bindir}/benchcmp

%files    bundle
%doc %{godocs}
%license %{golicenses}
%{_bindir}/gobundle

%files    goimports
%doc %{godocs}
%license %{golicenses}
%{_bindir}/goimports

%files    gomvpkg
%doc %{godocs}
%license %{golicenses}
%{_bindir}/gomvpkg

%files    gonew
%doc %{godocs}
%license %{golicenses}
%{_bindir}/gonew

%files    present
%doc %{godocs}
%license %{golicenses}
%{_bindir}/present

%files    present2md
%doc %{godocs}
%license %{golicenses}
%{_bindir}/present2md

%files    splitdwarf
%doc %{godocs}
%license %{golicenses}
%{_bindir}/splitdwarf

%files    ssadump
%doc %{godocs}
%license %{golicenses}
%{_bindir}/ssadump

%files    stress
%doc %{godocs}
%license %{golicenses}
%{_bindir}/stress

%files    toolstash
%doc %{godocs}
%license %{golicenses}
%{_bindir}/toolstash

%files    signature-fuzzer
%doc %{godocs}
%license %{golicenses}
%{_bindir}/fuzz-driver
%{_bindir}/fuzz-runner

%files    goyacc
%doc %{godocs}
%license %{golicenses}
%{_bindir}/goyacc
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.29.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jan 06 2025 Packit <hello@packit.dev> - 1:0.29.0-1
- Update to 0.29.0 upstream release
- Resolves: rhbz#2330475

* Tue Dec 17 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1:0.28.0-1
- Update to latest version (#2330475)

* Tue Dec 17 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1:0.27.0-3
- Add Packit configuration

* Mon Dec 09 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1:0.27.0-2
- Remove gorename as it was removed in 0.26

* Mon Nov 11 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1:0.27.0-1
- Update to latest version (#2296292)

* Sun Nov 10 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1:0.22.0-5
- Split gopls into a separate source package

* Mon Sep 02 2024 Miroslav Suchý <msuchy@redhat.com> - 1:0.22.0-4
- convert license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 23 2024 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.22.0-2
- Fix variable and tests

* Sun Jun 23 2024 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.22.0-1
- Update to 0.22.0

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1:0.11.1-5
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.11.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Sep 04 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 1:0.11.1-2
- reenable tests (previous build as bootstrap)

* Tue Aug 29 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1:0.11.1-1
- Update to 0.11.1 (#2215458)

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jun 11 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 1:0.9.3-1
- update to v0.9.3, close rhbz#2196777

* Tue Feb 21 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1:0.6.0-1
- Update to latest version

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.1.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.1.12-1
- Fix version number (Epoch bump)

* Mon Aug 01 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.1-1
- Update to 0.9.1 - Close: rhbz#2113429

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0.1.10-3
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jul 09 2022 Maxwell G <gotmax@e.email> - 0.1.10-2
- Rebuild for CVE-2022-{24675,28327,29526 in golang}

* Sun Apr 10 2022 Maxwell G <gotmax@e.email> - 0.1.10-1
- Update to 0.1.10.

* Fri Jan 28 2022 Maxwell G <gotmax@e.email> - 0.1.9-4
- Cleanup specfile
- Fix virtual provides. `Provides: golang(goipath)` is only for `-devel`
  packages.
- Include docs and licenses in subpackages
- Remove `Obsoletes:` that are no longer necessary.

* Fri Jan 28 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.9-0.3
- Fix typo

* Fri Jan 28 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.9-0.2
- Disable test for aarch64

* Fri Jan 28 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.9-0.1
- Update to 0.1.9

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 22 2021 Maxwell G <gotmax@e.email> - 0.1.8-0.2
- Use latest git snapshot that includes fixes for go 1.18. Fixes
  rhbz#2005488.

* Wed Dec 22 2021 Maxwell G <gotmax@e.email> - 0.1.8-0.1
- Update to 0.1.8. Fixes rhbz#2005488. Use autogenerated BRs.

* Thu Aug 05 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.5-0.1
- Update to 0.1.5 Close: rhbz#1918099, rhbz#1987559

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-38
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 23 15:38:43 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-37.20210123git2972602
- Bump to commit 2972602ec4f03242ffbc7f6ab020721687ed5fbe

* Fri Sep 18 03:42:12 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-36.20200918gitd56e4e4
- Bump to commit d56e4e40bc9dd04985b18718e43413d9f4399fb5

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Apr 19 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-34.20200419git5fc56a9
- Bump to commit 5fc56a9a2104ae31a4ac1987ccb98f30dd6d182b

* Wed Feb 05 18:48:07 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-33.20200205git4abfd4a
- Bump to commit 4abfd4a1628e20e7256052915dacf376269c05eb

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Aug 03 00:40:06 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-31.20190802git1d17272
- Bump to commit 1d1727260058c6d58ebfdeb982c4657342282355

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-29.20190622git2e9de47
- Add Obsoletes for old names

* Tue Apr 16 16:42:02 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-28.20190622git2e9de47
- Bump to commit 2e9de471ebd3a3af420e4dd35a826936b94da7f6

* Mon Mar 04 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-27.20190219git9394956
- Fix conflict with rubygem-bundler (#1685237)

* Tue Feb 19 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-26.20190219git9394956
- Bump to upstream 9394956cfdc50651347ab69dbde09af8a8e24776

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-25.1.gitce871d1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-24.2.gitce871d1
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-24.1.gitce871d1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 09 2018 Sergey Avseyev <sergey.avseyev@gmail.com> - 0-23.1.gitce871d1
- Package goyacc
  resolves: #1576672

* Wed Apr 04 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-22.1.gitce871d1
- Update to go spec 3.0

* Mon Feb 19 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-21.1.20180214gitce871d1
- Autogenerate some parts using the new macros

* Thu Feb 15 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-20.1.20180214gitce871d1
- Bump to upstream ce871d178848e3eea1e8795e5cfb74053dde4bb9

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-19.1.git9deed8c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-18.1.git9deed8c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-17.1.git9deed8c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-16.1.git9deed8c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 21 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-15.1.git9deed8c
- Polish the spec file
  related: #1279381

* Wed Sep 07 2016 jchaloup <jchaloup@redhat.com> - 0-14.1.git9deed8c
- Bump to upstream 9deed8c6c1c89e0b6d68d727f215de8e851d1064
  resolves: #1373868

* Fri Aug 26 2016 jchaloup <jchaloup@redhat.com> - 0-13.1.git1cdaff4
- Include missing templates and static directories
  resolves: #1370456

* Fri Aug 05 2016 jchaloup <jchaloup@redhat.com> - 0-12.1.git1cdaff4
- Do not ship vet and cover binaries anymore, they are shipped via golang-bin
  resolves: #1268206

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-11.1.git1cdaff4
- https://fedoraproject.org/wiki/Changes/golang1.7

* Wed Apr 27 2016 jchaloup <jchaloup@redhat.com> - 0-10.1.git1cdaff4
- Bump to upstream 1cdaff4a02c554c9fb39dda0b56241c5f0949d91
  related: #1279381

* Wed Apr 13 2016 jchaloup <jchaloup@redhat.com> - 0-9.1.git997b354
- Run tests only on golang architectures

* Thu Mar 03 2016 jchaloup <jchaloup@redhat.com>
- Polish spec file
  don't check go/importer on ppc

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-7.1.git997b354
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 10 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0-6.1.git997b354
- Update to golang_arches

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-6.0.git997b354
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 09 2015 jchaloup <jchaloup@redhat.com> - 0-5.0.git997b354
- Update a list of provided packages

* Thu Oct 15 2015 jchaloup <jchaloup@redhat.com> - 0-4.0.git997b354
- Bump to upstream 997b3545fd86c3a2d8e5fe6366174d7786e71278

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-3.0.hga7e14835e46b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 06 2015 jchaloup <jchaloup@redhat.com> - 0-2.0.hga7e14835e46b
- Bump to a7e14835e46bb13da10fa8b9c9c5e7f2f378f568
- Add new tools presented in the commit
- Change import paths to new prefix schema golang.org/x/...
- Add new subpackage and keep the only one for back-compatibility
  resolves: #1199617

* Tue Aug 19 2014 Vincent Batts <vbatts@fedoraproject.org> - 0-1.0.hgd32b5854c941
- updating to the current latest go.tools

* Tue Aug 19 2014 Vincent Batts <vbatts@fedoraproject.org> - 0-0.9.hg17c8fe23290a
- setting an epoch for godoc to fix bz1099074

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.hg17c8fe23290a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Aug 12 2014 Vincent Batts <vbatts@redhat.com> 0-0.7.hg17c8fe23290a
- fix bz1129281 and cleanup file ownership

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.hg17c8fe23290a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 16 2014 Vincent Batts <vbatts@redhat.com> 0-0.5.hg17c8fe23290a
- working on the arch dependencies
- clean up file ownership

* Thu Dec 05 2013 Vincent Batts <vbatts@redhat.com> 0-0.4.hg17c8fe23290a
- golang-godoc to obsolete the package from golang 1.1.2

* Tue Nov 12 2013 Vincent Batts <vbatts@redhat.com> 0-0.3.hg17c8fe23290a
- removing conflicting directory ownership

* Tue Nov 12 2013 Vincent Batts <vbatts@redhat.com> 0-0.2.hg17c8fe23290a
- adding subpackages for all available commands

* Sun Nov 10 2013 Vincent Batts <vbatts@redhat.com> 0-0.1.hg17c8fe23290a
- initial build

## END: Generated by rpmautospec
